package lingtao.net.bean;

import lombok.Data;

@Data
public class SysDictProduct {

	public Integer getProId() {
		return proId;
	}

	public void setProId(Integer proId) {
		this.proId = proId;
	}

	public String getKindValue() {
		return kindValue;
	}

	public void setKindValue(String kindValue) {
		this.kindValue = kindValue;
	}

	public String getKindLabel() {
		return kindLabel;
	}

	public void setKindLabel(String kindLabel) {
		this.kindLabel = kindLabel;
	}

	public String getKind2Value() {
		return kind2Value;
	}

	public void setKind2Value(String kind2Value) {
		this.kind2Value = kind2Value;
	}

	public String getKind2Label() {
		return kind2Label;
	}

	public void setKind2Label(String kind2Label) {
		this.kind2Label = kind2Label;
	}

	public Double getKindPrice() {
		return kindPrice;
	}

	public void setKindPrice(Double kindPrice) {
		this.kindPrice = kindPrice;
	}

	public Double getDiscountPrice() {
		return discountPrice;
	}

	public void setDiscountPrice(Double discountPrice) {
		this.discountPrice = discountPrice;
	}

	public Double getFloorPrice() {
		return floorPrice;
	}

	public void setFloorPrice(Double floorPrice) {
		this.floorPrice = floorPrice;
	}

	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}

	public String getProTypeValue() {
		return proTypeValue;
	}

	public void setProTypeValue(String proTypeValue) {
		this.proTypeValue = proTypeValue;
	}

	public String getProTypeLabel() {
		return proTypeLabel;
	}

	public void setProTypeLabel(String proTypeLabel) {
		this.proTypeLabel = proTypeLabel;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * 
	 */
	private Integer proId;

	/**
	 * 值
	 */
	private String kindValue;

	/**
	 * 种类名称
	 */
	private String kindLabel;
	/**
	 * 值
	 */
	private String kind2Value;

	/**
	 * 种类名称
	 */
	private String kind2Label;
	/**
	 * 报价单价
	 */
	private Double kindPrice;

	/**
	 * 打折报价
	 */
	private Double discountPrice;

	/**
	 * 跳楼价报价
	 */
	private Double floorPrice;

	/**
	 * 重量
	 */
	private Double weight;

	/**
	 * 名称
	 */
	private String proTypeValue;

	/**
	 * 产品类型
	 */
	private String proTypeLabel;

	/**
	 * 说明
	 */
	private String remark;
}
